## ros-one-four-wheel-steering-controller 0.22.0-0jammy.20260221.0121

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0jammy.20260221.0121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 21 Feb 2026 01:21:55 +0000
