=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20251023.0836) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 23 Oct 2025 08:36:56 +0000

ros-one-four-wheel-steering-controller (0.22.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 22 May 2024 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.2-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * add_dependencies was added to the CMakeLists.txt in four_wheel_steering_controller
  * Contributors: Jochen Sprickerhof, pavel

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.0-0noble) noble; urgency=high

  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 06 May 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.19.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.1-0noble) noble; urgency=high

  * Remove explicit dependency on Boost::headers to avoid issue #537 <https://github.com/ros-controls/ros_controllers/issues/537>
  * Add boost dependency
  * Format CMakeLists.txt and package.xml files + clean deps of 4ws_controller pkg
  * Contributors: Mateus Amarante, Mateus Amarante Araújo

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.0-0noble) noble; urgency=high

  * Add missing test dependency on xacro in four_wheel_steering_controller
  * Contributors: Mateus Amarante

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.17.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 12 May 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.0-0noble) noble; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.1-0noble) noble; urgency=high

  * add missing pluginlib deps
  * Use C++11 std::this_thread::sleep_for.
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Davide Faconti, Mathias Lüdtke, Sean Yen

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * Adjust missing bsd note
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.3-0noble) noble; urgency=high

  * Minor change in one of the ROS_INFO_STREAM
  * Contributors: Jan-Felix Klein

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.2-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.0-0noble) noble; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.2-0noble) noble; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.3-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.2-0noble) noble; urgency=high




