=== debian/control ===
Source: ros-one-four-wheel-steering-controller
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-one-catkin, ros-one-controller-interface, ros-one-four-wheel-steering-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf, ros-one-urdf-geometry-parser
Homepage: http://ros.org/wiki/four_wheel_steering_controller
Standards-Version: 3.9.2

Package: ros-one-four-wheel-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-one-controller-interface, ros-one-four-wheel-steering-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Description: Controller for a four wheel steering mobile base.
