## ros-one-four-wheel-steering-controller 0.22.0-0noble.20251208.0830

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20251208.0830) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 08 Dec 2025 08:30:05 +0000
