## ros-one-four-wheel-steering-controller 0.22.0-0noble.20260221.0159

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20260221.0159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 21 Feb 2026 01:59:08 +0000
